=== debian/changelog ===
pgocaml (1.4-2) unstable; urgency=low

  * PG'OCaml moved to forge.ocamlcore.org
    - update Homepage field
    - update debian/watch file
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add support for hex format introduced in Postgresql 9.0 (Closes: #640134)
    by cherry-picking a patch from upstream's subversion repository.
  * Turn a Conflicts into a Break to fix conflicts-with-version
  * Fix duplicate-short-description libpgocaml-ocaml-dev libpgocaml-ocaml
  * Convert to 3.0 (quilt) source format

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 04 Jan 2012 21:06:13 +0100

pgocaml (1.4-1) unstable; urgency=low

  * New upstream release.
  * Switched patch system from dpatch to quilt.
  * Adapted patches to new upstream.
  * Removed the .cmx and .cmi files of the profiler from the package.
  * Bumped Standards Version to 3.8.4.

 -- Guillaume Yziquel <guillaume.yziquel@citycable.ch>  Mon, 22 Feb 2010 14:44:46 +0100

pgocaml (1.3-3) unstable; urgency=low

  * Do not install META and pgocaml.cma in libpgocaml-ocaml-dev
    (Closes: #556419).
  * Make libpgocaml-ocaml Conflicts/Replaces with libpgocaml-ocaml-dev
    to be sure that the conflicting files get removed before installing
    libpgocaml-ocaml.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 16 Nov 2009 09:32:24 +0100

pgocaml (1.3-2) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Update to dh-ocaml 0.9
    * Use CDBS rules (Closes: #549151)
    * Use dh_ocamldoc
    * Use depends/provides
  * Non-ocamlopt archs excluded - yziquel (Closes: #541682)

  [ Mehdi Dogguy ]
  * Add myself to uploaders

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 13 Nov 2009 12:07:34 +0100

pgocaml (1.3-1) unstable; urgency=low

  * Initial release (Closes: #516629)

 -- Guillaume Yziquel <guillaume.yziquel@citycable.ch>  Thu, 07 Jun 2009 00:26:42 +0100
