=== debian/control ===
Source: pgocaml
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>, 
           Sylvain Le Gall <gildor@debian.org>,
           Mehdi Dogguy <mehdi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: cdbs (>= 0.4.52),
 debhelper (>= 7),
 quilt,
 dh-ocaml (>= 0.9),
 ocaml-nox (>=3.11),
 camlp4 (>=3.11),
 ocaml-findlib,
 libextlib-ocaml-dev,
 libpcre-ocaml-dev,
 libcsv-ocaml-dev,
 libcalendar-ocaml-dev (>= 2)
Standards-Version: 3.9.2
Homepage: http://pgocaml.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pgocaml.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git

Package: libpgocaml-ocaml-dev
Architecture: any
Depends: libpgocaml-ocaml (= ${binary:Version}),
 libextlib-ocaml-dev,
 libpcre-ocaml-dev,
 libcsv-ocaml-dev,
 libcalendar-ocaml-dev (>= 2),
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Suggests: postgresql (>= 7.4)
Description: OCaml type-safe bindings for PostgreSQL (development)
 PG'OCaml provides an interface to PostgreSQL databases for OCaml applications.
 It uses Camlp4 to extend the OCaml syntax, enabling one to directly embed SQL
 statements inside the OCaml code. Moreover, it uses the describe feature of
 PostgreSQL to obtain type information about the database. This allows PG'OCaml
 to check at compile-time if the program is indeed consistent with the database
 structure. This type-safe database access is the primary advantage that
 PG'OCaml has over other PostgreSQL bindings for OCaml.
 .
 This package contains development files for PG'OCaml.

Package: libpgocaml-ocaml
Architecture: any
Depends: libpcre-ocaml,
 libcalendar-ocaml (>= 2),
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Suggests: postgresql (>= 7.4)
Breaks: libpgocaml-ocaml-dev (<< 1.3-3)
Replaces: libpgocaml-ocaml-dev (<< 1.3-3)
Description: OCaml type-safe bindings for PostgreSQL (runtime)
 PG'OCaml provides an interface to PostgreSQL databases for OCaml applications.
 It uses Camlp4 to extend the OCaml syntax, enabling one to directly embed SQL
 statements inside the OCaml code. Moreover, it uses the describe feature of
 PostgreSQL to obtain type information about the database. This allows PG'OCaml
 to check at compile-time if the program is indeed consistent with the database
 structure. This type-safe database access is the primary advantage that
 PG'OCaml has over other PostgreSQL bindings for OCaml.
 .
 This package contains dynamically loadable plugins for PG'OCaml.
