=== debian/changelog ===
pgocaml (1.5-2) unstable; urgency=low

  * Use USE_BATTERIES=yes for bytecode architectures too.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jun 2012 17:53:30 +0200

pgocaml (1.5-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * New upstream version.
  * Use batteries to replace extlib (Closes: #670474)
  * Drop patch 05_support_hex_format, applied upstream.

  [ Mehdi Dogguy ]
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Findlib is needed to link pgocaml provided binaries
    - add libfindlib-ocaml-dev to Build-Depends
    - add patch 05_makefile_findlib
  * Update packages list needed to generate the documentation
    - update list in libpgocaml-ocaml-dev.ocamldoc

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jun 2012 15:09:50 +0200
