=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
  ocaml-nox (>=3.11),
  camlp4 (>=3.11),
  ocaml-findlib,
- libextlib-ocaml-dev,
+ libbatteries-ocaml-dev,
  libpcre-ocaml-dev,
  libcsv-ocaml-dev,
+ libfindlib-ocaml-dev,
  libcalendar-ocaml-dev (>= 2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pgocaml.forge.ocamlcore.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pgocaml.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
@@ -25,7 +26,7 @@
 Package: libpgocaml-ocaml-dev
 Architecture: any
 Depends: libpgocaml-ocaml (= ${binary:Version}),
- libextlib-ocaml-dev,
+ libbatteries-ocaml-dev,
  libpcre-ocaml-dev,
  libcsv-ocaml-dev,
  libcalendar-ocaml-dev (>= 2),
