=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,10 @@
 
 DEB_MAKE_CLEAN_TARGET   := clean
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-DEB_MAKE_BUILD_TARGET   := all
+DEB_MAKE_BUILD_TARGET   := all USE_BATTERIES=yes
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=debian/libpgocaml-ocaml-dev/
 else
-DEB_MAKE_BUILD_TARGET   := all_byte
+DEB_MAKE_BUILD_TARGET   := all_byte USE_BATTERIES=yes
 DEB_MAKE_INSTALL_TARGET := install_byte DESTDIR=debian/libpgocaml-ocaml-dev/
 endif
