=== debian/changelog ===
pgocaml (1.7.1-2build2) trusty; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Feb 2014 18:20:11 +0000

pgocaml (1.7.1-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:23:09 +0000

pgocaml (1.7.1-2) unstable; urgency=low

  * Team upload
  * Fix FTBFS on !natdynlink

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2013 14:13:37 +0200

pgocaml (1.7.1-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - remove obsolete patches
    - build-depend on libbatteries-ocaml-dev >= 2
  * Update Vcs-*
  * Switch packaging to dh 9
  * Remove obsolete DM-Upload-Allowed field

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2013 12:26:39 +0200
