=== debian/control ===
--- 
+++ 
@@ -3,25 +3,23 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>, 
-           Sylvain Le Gall <gildor@debian.org>,
            Mehdi Dogguy <mehdi@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: cdbs (>= 0.4.52),
- debhelper (>= 7),
+Build-Depends:
+ debhelper (>= 9),
  quilt,
  dh-ocaml (>= 0.9),
  ocaml-nox (>=3.11),
  camlp4 (>=3.11),
  ocaml-findlib,
- libbatteries-ocaml-dev,
+ libbatteries-ocaml-dev (>= 2),
  libpcre-ocaml-dev,
  libcsv-ocaml-dev,
  libfindlib-ocaml-dev,
  libcalendar-ocaml-dev (>= 2)
 Standards-Version: 3.9.3
 Homepage: http://pgocaml.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pgocaml.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pgocaml.git
 
 Package: libpgocaml-ocaml-dev
 Architecture: any
