=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  ocaml-nox (>=3.11),
  camlp4 (>=3.11),
  ocaml-findlib,
- libbatteries-ocaml-dev (>= 2),
  libpcre-ocaml-dev,
  libcsv-ocaml-dev,
  libfindlib-ocaml-dev,
