=== debian/changelog ===
pgocaml (2.2-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:47:24 +0200

pgocaml (2.2-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 08:33:13 +0200

pgocaml (2.2-1) unstable; urgency=medium

  * New upstream release
  * Install .annot, .cmt and .cmti files in -dev package.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 23:51:17 +0100
