=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  debhelper (>= 9),
  quilt,
  dh-ocaml (>= 0.9),
- ocaml-nox (>=3.11),
+ ocaml-nox (>=4.02),
+ ocamlbuild,
  camlp4 (>=3.11),
  ocaml-findlib,
  libpcre-ocaml-dev,
@@ -17,8 +18,8 @@
  libcalendar-ocaml-dev (>= 2)
 Standards-Version: 3.9.3
 Homepage: http://pgocaml.forge.ocamlcore.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pgocaml.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
 
 Package: libpgocaml-ocaml-dev
 Architecture: any
