=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=262 /frs/download.php/.*/pgocaml-([^-]+).tgz
