## pgocaml 2.3

=== debian/changelog ===
pgocaml (2.3-1) unstable; urgency=medium

  * New upstream release
    * 2.3 uses Re instead of Pcre. Update d/control file accordingly
  * Pass --enable-p4 to configure script to enable camlp4 extension
  * Bump Standards-Version to 4.1.4, no changes required
  * Remove Guillaume from Uploaders since he has been MIA since quite
    a long time now. Thanks Guillaume for your past work on this
    package!
  * Update Vcs-* fields since Git repository migrated to Salsa

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 11:50:49 +0200
