=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>, 
-           Mehdi Dogguy <mehdi@debian.org>
+Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 9),
  quilt,
@@ -12,20 +11,20 @@
  ocamlbuild,
  camlp4 (>=3.11),
  ocaml-findlib,
- libpcre-ocaml-dev,
+ libre-ocaml-dev,
  libcsv-ocaml-dev,
  libfindlib-ocaml-dev,
  libcalendar-ocaml-dev (>= 2)
-Standards-Version: 3.9.3
+Standards-Version: 4.1.4
 Homepage: http://pgocaml.forge.ocamlcore.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/pgocaml
+Vcs-Git: https://salsa.debian.org/ocaml-team/pgocaml.git
 
 Package: libpgocaml-ocaml-dev
 Architecture: any
 Depends: libpgocaml-ocaml (= ${binary:Version}),
  libbatteries-ocaml-dev,
- libpcre-ocaml-dev,
+ libre-ocaml-dev,
  libcsv-ocaml-dev,
  libcalendar-ocaml-dev (>= 2),
  ${ocaml:Depends},
@@ -47,7 +46,7 @@
 
 Package: libpgocaml-ocaml
 Architecture: any
-Depends: libpcre-ocaml,
+Depends:
  libcalendar-ocaml (>= 2),
  ${ocaml:Depends},
  ${misc:Depends},
