=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libpgocaml-ocaml-dev/html
+	ocaml setup.ml -configure --enable-p4 --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libpgocaml-ocaml-dev/html
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
