## pgocaml 4.3.0

=== debian/changelog ===
pgocaml (4.3.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 17:57:34 +0100

pgocaml (4.3.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Update debian/watch and Homepage

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Upstream-Maintainer
    => Upstream-Contact)
  * Bump debhelper from deprecated 9 to 10.
  * Replace spaces in short license names with dashes.
  * Refer to specific version of license GPL-2+.
  * Fix day-of-week for changelog entry 1.3-1.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Nov 2021 16:15:25 +0100
