=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 9),
- quilt,
- dh-ocaml (>= 0.9),
- ocaml-nox (>=4.02),
- ocamlbuild,
- camlp4 (>=3.11),
- ocaml-findlib,
+ debhelper-compat (= 13),
+ dh-ocaml,
+ ocaml-nox,
+ ocaml-dune,
  libre-ocaml-dev,
  libcsv-ocaml-dev,
- libfindlib-ocaml-dev,
+ libhex-ocaml-dev,
+ libppx-sexp-conv-ocaml-dev,
+ libppx-deriving-ocaml-dev,
+ librresult-ocaml-dev,
+ libsexplib-ocaml-dev,
  libcalendar-ocaml-dev (>= 2)
-Standards-Version: 4.1.4
-Homepage: http://pgocaml.forge.ocamlcore.org/
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://github.com/darioteixeira/pgocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/pgocaml
 Vcs-Git: https://salsa.debian.org/ocaml-team/pgocaml.git
