=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libre-ocaml-dev,
  libcsv-ocaml-dev,
@@ -15,8 +14,11 @@
  libppx-deriving-ocaml-dev,
  librresult-ocaml-dev,
  libsexplib-ocaml-dev,
- libcalendar-ocaml-dev (>= 2)
-Standards-Version: 4.6.0
+ libcalendar-ocaml-dev (>= 2),
+ libppx-optcomp-ocaml-dev,
+ libcamlp-streams-ocaml-dev,
+ dh-ocaml (>= 1.2.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/darioteixeira/pgocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/pgocaml
