=== debian/watch ===
version=4
https://github.com/darioteixeira/pgocaml/tags .*/v?([0-9.]+)\.tar\.gz
